Subject: Re: [PATCHv2] commit: reword --author error message

From: Junio C Hamano <[email-masked]>
Date: Mon, 26 Jan 2015 18:43:46 -0800

Jeff King <[email-masked]> writes:

> ... I somehow had trouble making
> sense of Z ("a match...") as a noun.

> I wonder if adding back in the missing verb, rather than a colon, would
> also make more sense:
>
>   --author '%s' is neither 'Name <email>' nor a match for an existing author

Then

>   --author '%s' is not 'Name <email>' and matches no existing author

would be the shortest, sweetest and hopefully grammatical, perhaps?